public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/percona-xtrabackup/
Date: Sun,  4 Dec 2016 22:36:56 +0000 (UTC)	[thread overview]
Message-ID: <1480891006.5d26699fd833bf201b2380dceaba32b1a267eb92.monsieurp@gentoo> (raw)

commit:     5d26699fd833bf201b2380dceaba32b1a267eb92
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Dec  2 11:38:47 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Dec  4 22:36:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d26699f

dev-db/percona-xtrabackup: version bump to 2.4.5.

Package-Manager: portage-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/2984

 dev-db/percona-xtrabackup/Manifest                 |  1 +
 .../percona-xtrabackup-2.4.5.ebuild                | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-db/percona-xtrabackup/Manifest b/dev-db/percona-xtrabackup/Manifest
index 65c21a3..bf632d5 100644
--- a/dev-db/percona-xtrabackup/Manifest
+++ b/dev-db/percona-xtrabackup/Manifest
@@ -1,2 +1,3 @@
 DIST boost_1_59_0.tar.gz 83709983 SHA256 47f11c8844e579d02691a607fbd32540104a9ac7a2534a8ddaef50daf502baac SHA512 05fdbe5637543defdbc630b921515425885593d16db14534ed7b9aa60925ade8fb598d50cb894aed6dae688e789047216daa1bf03fa1aeb6b531060d9dae52ae WHIRLPOOL b316c2b5e445010766b7ce3f6582565177e1ed763381912dd6b21a882176e19e382c929e1f5a2419e2ed701058c56320cdbf8487234835a00fb94e7115059b67
 DIST percona-xtrabackup-2.4.4.tar.gz 54060567 SHA256 e3ec54eb468482503bccdd1619136e798798086042e9eb7c6daa2fb9b78783a3 SHA512 aa013aa8f2bef49c66fd14a980444039bdbabb17c09efec3119d5fc074623d6c5f7492602c759f1d51e3a01898729e1209d2195081b537f679a3713b37a7cf0d WHIRLPOOL 77ef90b028cfcec60b0aa7dea4aab2bbebb3be8f18ae50406af81c1cdfe6339f08b29eded004ca6b91ce86303ef694803e34dc5c4d723606b34c1b95120bd8f7
+DIST percona-xtrabackup-2.4.5.tar.gz 54104240 SHA256 1c8c457e1912525f6c3079a8c5b2948dbcf693d2b86c8f57d13b4a446cec2036 SHA512 07d93ea7de987a06687cc772b32dff13e75e34061163bf990abe640015f765d9fe4deb6d78ddb91a667ddb312448400a5e7e1114cf955837584b5fd16821c66b WHIRLPOOL a3be4ee0eb39c23aeabf1f70dadecf23fda7e3c2d2b033097c66cab7616a84a2e5703c64c1738c3c251297c4c64930590610cb99001f65cd76ef71c204d192f8

diff --git a/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.5.ebuild b/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.5.ebuild
new file mode 100644
index 00000000..e2fe46c
--- /dev/null
+++ b/dev-db/percona-xtrabackup/percona-xtrabackup-2.4.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Hot backup utility for MySQL based servers"
+HOMEPAGE="https://www.percona.com/software/mysql-database/percona-xtrabackup"
+SRC_URI="https://www.percona.com/downloads/XtraBackup/Percona-XtraBackup-${PV}/source/tarball/${P}.tar.gz
+	!system-boost? ( http://jenkins.percona.com/downloads/boost/boost_1_59_0.tar.gz )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="system-boost"
+
+DEPEND="system-boost? ( =dev-libs/boost-1.59.0 )
+		app-editors/vim-core
+		dev-libs/libaio
+		dev-libs/libev
+		dev-libs/libgcrypt:0=
+		dev-libs/libgpg-error
+		dev-python/sphinx
+		net-misc/curl
+		sys-libs/zlib"
+RDEPEND="${DEPEND}
+		!dev-db/xtrabackup-bin
+		dev-perl/DBD-mysql"
+
+src_configure() {
+	local my_args
+
+	if ! use system-boost; then
+		my_args="-DDOWNLOAD_BOOST=0 -DWITH_BOOST=${WORKDIR}"
+	fi
+
+	cmake -DBUILD_CONFIG=xtrabackup_release $my_args || die
+}
+
+src_compile() {
+	emake
+}
+
+src_install() {
+	local p="storage/innobase/xtrabackup"
+
+	for tool in xbcloud xbcrypt xbstream xtrabackup; do
+		dobin ${p}/src/${tool}
+	done
+
+	dosym xtrabackup /usr/bin/innobackupex
+
+	doman ${p}/doc/source/build/man/*
+}


             reply	other threads:[~2016-12-04 22:37 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-04 22:36 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-05  9:51 [gentoo-commits] repo/gentoo:master commit in: dev-db/percona-xtrabackup/ Sam James
2024-08-09 13:02 Eli Schwartz
2024-08-08 16:06 Eli Schwartz
2024-08-08 16:06 Eli Schwartz
2024-08-08 16:06 Eli Schwartz
2023-11-02 14:48 Hans de Graaff
2023-07-04 22:20 Sam James
2023-04-19  1:32 Sam James
2023-04-19  1:32 Sam James
2023-04-19  1:32 Sam James
2023-04-19  1:32 Sam James
2022-12-14  1:53 Sam James
2022-11-18  4:24 Sam James
2022-10-31 19:55 Sam James
2022-10-31  1:43 Sam James
2022-06-19  9:41 Agostino Sarubbo
2022-06-19  8:13 Agostino Sarubbo
2021-09-29 16:55 Thomas Deutschmann
2021-09-29 16:55 Thomas Deutschmann
2021-03-23 20:16 Thomas Deutschmann
2021-03-23 20:16 Thomas Deutschmann
2021-01-21 23:25 Thomas Deutschmann
2021-01-21 23:25 Thomas Deutschmann
2021-01-03 16:21 Jonas Stein
2020-11-21 18:27 Conrad Kostecki
2020-06-30 13:31 Thomas Deutschmann
2020-05-16 13:24 Joonas Niilola
2019-10-28 14:43 Joonas Niilola
2019-10-28 14:43 Joonas Niilola
2019-09-26 19:55 Mikle Kolyada
2019-09-26 19:02 Thomas Deutschmann
2019-07-31  6:39 Joonas Niilola
2019-07-15 19:35 Michał Górny
2019-07-15 19:35 Michał Górny
2019-04-21 19:18 David Seifert
2019-04-18 20:32 Thomas Deutschmann
2019-04-16 20:29 Mikle Kolyada
2019-02-14 14:45 Thomas Deutschmann
2019-02-13 13:41 Thomas Deutschmann
2019-02-13 13:41 Thomas Deutschmann
2019-02-13 13:41 Thomas Deutschmann
2018-11-15 15:48 Thomas Deutschmann
2018-11-15 13:23 Mikle Kolyada
2018-07-11 10:34 Tony Vroon
2018-05-04 14:40 Thomas Deutschmann
2018-04-16 12:23 Thomas Deutschmann
2018-03-13 19:33 Mikle Kolyada
2018-02-21  3:01 Thomas Deutschmann
2017-12-16 10:31 Tobias Klausmann
2017-12-02 22:53 Patrice Clement
2017-10-29 22:08 Thomas Deutschmann
2017-09-22  9:58 Patrice Clement
2017-08-13 13:00 Patrice Clement
2017-08-13 13:00 Patrice Clement
2017-07-30 14:24 David Seifert
2017-06-01  9:13 Agostino Sarubbo
2017-05-31 13:06 Agostino Sarubbo
2017-05-01 21:31 Patrice Clement
2017-04-26 21:02 Patrice Clement
2017-04-17  8:02 Agostino Sarubbo
2017-04-05 12:55 Agostino Sarubbo
2017-04-04 17:47 David Seifert
2017-04-04 17:28 David Seifert
2017-03-02 13:50 Thomas Deutschmann
2016-08-11  9:30 Michael Palimaka
2016-08-11  9:30 Michael Palimaka
2016-08-11  9:30 Michael Palimaka
2016-08-03 12:00 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1480891006.5d26699fd833bf201b2380dceaba32b1a267eb92.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox